QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

INCLUDEPATH += Inc

SOURCES += \
    Src\main.cpp \
    Src\mainwindow.cpp \
    Src\command_manager.cpp \

HEADERS += \
    Inc\mainwindow.h \
    Inc\command_manager.h \


FORMS += \
    mainwindow.ui

TRANSLATIONS += \
    state_machine_ar_EG.ts

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
